html {
  scroll-behavior: smooth;
}
.custom-sidebar {
  position: fixed;
  right: 0;
  background-color: var(--white);
  padding: 0px;
  transition: transform 0.3s ease;
  top: 210px;
  opacity: 0;
  max-width: 300px;
  box-shadow: 1px 3px 3px 1px rgb(16 40 33 / 28%);
  z-index: 99;
  transform: translateX(100%);
}
.custom-sidebar.sidebar-active {
  transform: translateX(0%);
  opacity: 1;
}
.custom-sidebar .heading-32 {
  font-size: 20px;
  background: #252b2b;
  color: var(--white);
  color: #fff;
  padding: 20px;
  line-height: 1.2;
  margin-bottom: 0;
}
.custom-sidebar a {
  padding: 0 0 0 30px;
  position: relative;
  display: inline-block;
  line-height: 20px;
  margin-bottom: 0;
  width: 100%;
  display: inline-flex;
  align-items: center;
  font-size: 14px;
  text-decoration: none;
  color: #505050;
  font-weight: 500;
}
.custom-sidebar .sidebar-close {
  position: absolute;
  right: 10px;
  top: 22px;
  color: #fff;
  cursor: pointer;
  background-color: #ffffff;
  width: 25px;
  height: 25px;
  text-align: center;
  display: inline-flex;
  justify-content: center;
  align-items: center;
  border: 1px solid #fdfdfd;
  border-radius: 100%;
  padding: 0px;
  font-family: cursive;
}
.sidebar-close:before {
  position: absolute;
  content: "X";
  width: 20px;
  height: 20px;
  top: 0px;
  left: 4px;
  font-size: 14px;
  height: 100%;
  width: 100%;
  display: inline-flex;
  align-items: center;
  justify-content: center;
  left: 0;
  color: #000;
  font-weight: bold;
}
.custom-sidebar ul {
  counter-reset: custom;
  list-style-type: none;
  padding: 20px 20px 10px;
  margin: 0px;
  display: flex;
  flex-wrap: wrap;
}
.custom-sidebar ul li {
  counter-increment: custom;
  padding: 0;
  position: relative;
  display: flex;
  flex-wrap: wrap;
  margin-bottom: 10px;
  align-items: center;
  width: 100%;
}
.custom-sidebar ul li.active > a {
  /* color: var(--themecolor); */
  font-weight: 700;
}
.custom-sidebar ul li.active::before {
  background: #000000;
}
.custom-sidebar ul li:before {
  content: counters(custom, ".") " ";
    width: 20px;
    height: 20px;
    font-size: 12px;
    margin-right: 15px;
    background: #171717;
    color: #fff;
    border-radius: 50%;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    position: absolute;
    top: 0;
    padding-bottom: 0px;
    color: #fff;
}
.custom-sidebar li.active a, 
.custom-sidebar li a:hover {
  text-decoration: underline;
  color: #171717;
}
button.sidebar-toggle-button {
    position: fixed;
    top: 340px;
    background: #faf565;
    color: #171717 !important;
    font-size: 14px;
    font-weight: 500;
    height: 46px;
    line-height: 60px;
    transform: rotate(-90deg);
    display: flex;
    padding: 0 24px;
    border-radius: 20px 20px 0 0;
    right: -72px;
    z-index: 3;
    cursor: pointer;
    align-items: center;
    gap: 7px;
    margin-bottom: 0 !important;
    font-family: 'Roboto';
    border: 1px solid #171717 !important;
}
button.sidebar-toggle-button i {
  margin-left: 10px;
  font-size: 18px;
}
button.sidebar-toggle-button.btn-theme:hover {
  border-color: #000 !important; color: #fff !important;
}


@media (max-width: 767.99px) {
  button.sidebar-toggle-button {
    padding: 12px 20px;
    height: 46px;
    right: -67px;
  }
}
